Subject: RE: RENAME clarifications

From: "Noveck, Dave" <[email-masked]>
Date: Fri, 4 Feb 2000 10:13:02 -0800

> Salit Gazit wrote:
> > 
> > Spencer Shepler wrote:
> > >Mike Eisler wrote:
> > >> I don't see why the current file handle has to be perturbed. If a
> > >> client wants the file handle of the newname object, then 
> it can piggyback
> > >> a LOOKUP onto the compound procedure.
> > >>
> > >> Consider the client that does a block of renames from one
> > >> directory to another. If the saved and current file handles are
> > >> left unperturbed, then this can be done efficiently in 
> one compound
> > >> procedure.
> > >
> > >Ahh.  Good idea.  I like it and therefore withdraw my previous
> > >modification and suggest that the verbage now be:
> > >
> > >"On success, the current filehandle will continue to be the
> > >target directory."
> > 
> > I suggest that link follows the same logic as rename. It is 
> currently
> > defined to change the current file handle from the target 
> directory to
> > the link file upon success.
> 
> This seems reasonable to have rename/link exhibit similar behavior.
 
This seems reasonable to me too.

I just want to make sure that everybody agrees what we are coding to
for Connectathon.  Should LINK reflect draft-04 or this chnage?

I don't care which answer we choose, as long as everybody chooses the
same one.

---

From: Spencer Shepler <[email-masked]>
Date: Fri, 04 Feb 2000 13:18:33 -0600

> for Connectathon.  Should LINK reflect draft-04 or this chnage?

I think we should stay with the draft-04 statement to help eliminate
any further confusion and work for Connectathon.

Spencer